/****************************************************/
/*                                                  */
/*  C-Library zum Auslesen von ID3v1-TAGs           */
/*                                                  */
/*  Version: 2.0.0.0.                               */
/*  Autor: tgc_md                                   */
/*  Copyright: tgc_md                               */
/*  Datum: 16.12.2002                               */
/*  Mail: coding@tool-garage.de                     */
/*                                                  */
/****************************************************/

#ifndef ID3V1_H
#define ID3V1_H

#include <stdio.h>
#include <string.h>
#include <malloc.h>
#include <io.h>
#include <stdlib.h>

typedef struct
{
	char *title, *artist, *album, *comment, *genre, *err;
	int year, track;
} mpeg3;

int checkID3v1(char *path);
int removeTag(char *path);
char *getTitle(char *path);
int setTitle(char *path, char *newTitle);
char *getArtist(char *path);
int setArtist(char *path, char *newArtist);
char *getAlbum(char *path);
int setAlbum(char *path, char *newAlbum);
char *getGenre(char *path);
int setGenre(char *path, char *newGenre);
char *getComment(char *path);
int setComment(char *path, char *newComment);
int getYear(char *path);
int setYear(char *path, int newYear);
int getTrack(char *path);
int setTrack(char *path, int newTrack);
mpeg3 getFullTag(char *path);
int setFullTag( char *path, char *title, char *artist, char *album, int year, char *comment, int track, char *genre );

#endif