//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "id3.h"
#include "ID3v1.c"
#include "Unit2.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TForm1 *Form1;

//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------
// Open Dialog
void __fastcall TForm1::Button1Click(TObject *Sender)
{
 od->Execute();
 path->Text = od->FileName; 
}
//---------------------------------------------------------------------------
//
// Genreliste einlesen bei Form
void __fastcall TForm1::FormCreate(TObject *Sender)
{
 extern char *Genres[148];
 int i = 0;
 for( i=0; i<148; i++ )
      genre->Items->Append(Genres[i]);
 genre->Sorted = true;
}
//---------------------------------------------------------------------------
//
// ID3Tag lesen
void __fastcall TForm1::readClick(TObject *Sender)
{
 mpeg3 m;
 m = getFullTag( path->Text.c_str() );
 if( m.err==NULL )
 {
   title->Text = m.title;
   artist->Text = m.artist;
   album->Text = m.album;
   year->Text = m.year;
   comment->Text = m.comment;
   track->Text = m.track;
   genre->Text = m.genre;
 }
}
//---------------------------------------------------------------------------
//
// verwendete ID3-Version
//
// ID3Tag schreiben
void __fastcall TForm1::writeClick(TObject *Sender)
{
 int i_year, i_track;
 char p[300], tit[31], art[31], alb[31], com[31], gen[41];

 strcpy( p, path->Text.c_str() );
 strcpy( tit, title->Text.c_str() );
 strcpy( art, artist->Text.c_str() );
 strcpy( alb, album->Text.c_str() );
 strcpy( com, comment->Text.c_str() );
 strcpy( gen, genre->Text.c_str() );
 i_year = year->Text.ToInt();
 i_track = track->Text.ToInt();

 int i = setFullTag( p, tit, art, alb, i_year, com, i_track, gen );
}
//---------------------------------------------------------------------------

void __fastcall TForm1::removeClick(TObject *Sender)
{
 removeTag( path->Text.c_str() );
}
//---------------------------------------------------------------------------



void __fastcall TForm1::aboutClick(TObject *Sender)
{
 Form2->Show();        
}
//---------------------------------------------------------------------------

